Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.BiDirPolicy
Class BidirectionalPolicyPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.BiDirPolicy.BidirectionalPolicyPOA
                  |
                  +--org.omg.BiDirPolicy.BidirectionalPolicyPOATie

All Implemented Interfaces:
  BidirectionalPolicyOperations, InvokeHandler, PolicyOperations

public class BidirectionalPolicyPOATie
extends BidirectionalPolicyPOA

Interface definition : BidirectionalPolicy

Author:
  OpenORB Compiler

Constructor Summary
`BidirectionalPolicyPOATie(BidirectionalPolicyOperations tieObject)` Constructor
`BidirectionalPolicyPOATie(BidirectionalPolicyOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`BidirectionalPolicyOperations` | `_delegate()` Get the delegate
`void` | `_delegate(BidirectionalPolicyOperations delegate_)` Set the delegate
`Policy` | `copy()` Operation copy
`void` | `destroy()` Operation destroy
`int` | `policy_type()` Read accessor for policy_type attribute
`short` | `value()` Read accessor for value attribute

Methods inherited from class org.omg.BiDirPolicy.BidirectionalPolicyPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BidirectionalPolicyPOATie

    public BidirectionalPolicyPOATie(BidirectionalPolicyOperations tieObject)

  Constructor

### BidirectionalPolicyPOATie

    public BidirectionalPolicyPOATie(BidirectionalPolicyOperations tieObject,
                                     POA poa)

  Constructor

Method Detail

### _delegate

    public BidirectionalPolicyOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(BidirectionalPolicyOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### value

    public short value()

  Read accessor for value attribute
  Following copied from interface: `org.omg.BiDirPolicy.BidirectionalPolicyOperations`
  Returns:
    the attribute value

### policy_type

    public int policy_type()

  Read accessor for policy_type attribute
  Following copied from interface: `org.omg.CORBA.PolicyOperations`
  Returns:
    the attribute value

### copy

    public Policy copy()

  Operation copy

### destroy

    public void destroy()

  Operation destroy

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD